AssociationChangeNotification (Java SE 26 & JDK 26)
Description: declaration: module: jdk.sctp, package: com.sun.nio.sctp, class: AssociationChangeNotification
Keywords: com.sun.nio.sctp.AssociationChangeNotification class

# Class AssociationChangeNotification

java.lang.Object
com.sun.nio.sctp.AssociationChangeNotification

All Implemented Interfaces:
  `Notification`

public abstract class AssociationChangeNotification extends Object implements Notification
Notification emitted when an association has either opened or closed.

Since:
  1.7

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `AssociationChangeNotification.AssocChangeEvent`
  Defines the type of change event that happened to the association.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AssociationChangeNotification()`
  Initializes a new instance of this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Association`
  `association()`
  Returns the association that this notification is applicable to.
  `abstract AssociationChangeNotification.AssocChangeEvent`
  `event()`
  Returns the type of change event.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AssociationChangeNotification

    protected AssociationChangeNotification()
    Initializes a new instance of this class.

- ## Method Details

  - ### association

    public abstract Association association()
    Returns the association that this notification is applicable to.
    Specified by:
      `association` in interface `Notification`
    Returns:
      The association whose state has changed, or `null` if there is no association, that is CANT_START

  - ### event

    public abstract AssociationChangeNotification.AssocChangeEvent event()
    Returns the type of change event.
    Returns:
      The event